<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo\ExternalAdReplyInfo;

use UnexpectedValueException;




class AdType
{
    


    const CTWA = 0;
    


    const CAWC = 1;

    private static $valueToName = [
        self::CTWA => 'CTWA',
        self::CAWC => 'CAWC',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

